import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/ledger/balance.dart';

part 'balance.g.dart';


@JsonSerializable(explicitToJson: true)
class LedgerBalanceResponse {
  final LedgerBalanceDTO balance;

  const LedgerBalanceResponse({required this.balance});

  factory LedgerBalanceResponse.fromJson(Map<String, dynamic> json) => _$LedgerBalanceResponseFromJson(json);
  Map<String, dynamic> toJson() => _$LedgerBalanceResponseToJson(this);
}
